Skip to main content
POST
/
v1
/
proposals
/
drafts
Error
A valid request URL is required to generate request examples
{
  "id": 0,
  "userAddress": "<string>",
  "marketType": "binary",
  "category": "<string>",
  "question": "<string>",
  "resolutionDate": "<string>",
  "isTestResolution": true,
  "resolutionRules": "<string>",
  "resolutionSources": [
    "<string>"
  ],
  "marketOptions": [
    "<string>"
  ],
  "imageUrl": "<string>",
  "optionImageUrls": [
    "<string>"
  ],
  "createdAt": "<string>",
  "updatedAt": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://aura-4ecab767.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key obtained from POST /v1/auth/keys.

Body

application/json
marketType
enum<string>
Available options:
binary,
categorical,
category
string
Maximum string length: 80
question
string
Maximum string length: 300
resolutionDate
string<date-time>

ISO-8601.

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
isTestResolution
boolean
resolutionRules
string
Maximum string length: 1000
resolutionSources
string[]
Maximum array length: 20
Maximum string length: 500
marketOptions
string[]
Maximum array length: 60
Maximum string length: 300
imageUrl
string
Maximum string length: 500
optionImageUrls
string[]
Maximum array length: 60
Maximum string length: 500

Response

Default Response

id
integer
required
Required range: -9007199254740991 <= x <= 9007199254740991
userAddress
string
required

Alephium address (base58, optional :N group suffix).

Required string length: 30 - 80
Pattern: ^[123456789ABCDEFGHJKLMNPQRSTUVWXYZabcdefghijkmnopqrstuvwxyz:]+$
marketType
enum<string> | null
required
Available options:
binary,
categorical,
category
string | null
required
question
string | null
required
resolutionDate
string | null
required
isTestResolution
boolean
required
resolutionRules
string | null
required
resolutionSources
string[]
required
marketOptions
string[]
required

Per-leg questions for categorical / linked markets.

imageUrl
string | null
required
optionImageUrls
string[]
required
createdAt
string
required
updatedAt
string
required